%define debug_package %{nil}

#%define cecilver %(gacutil -l Mono.Cecil |grep Mono.Cecil | cut -d "=" -f 2 | cut -d "," -f 1)
#%define ceciltoken %(gacutil -l Mono.Cecil |grep Mono.Cecil | cut -d "=" -f 4)
#%define cecilmdbver %(gacutil -l Mono.Cecil.Mdb |grep Mono.Cecil.Mdb | cut -d "=" -f 2 | cut -d "," -f 1)
#%define cecilmdbtoken %(gacutil -l Mono.Cecil.Mdb |grep Mono.Cecil.Mdb | cut -d "=" -f 4)

#%(gacutil -l nunit.core | tail -n 2 | grep nunit.core | cut -d "=" -f 2 | cut -d "," -f 1)

%define nunitver 2.2.10.0

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary: 	A full-featured IDE for Mono and Gtk sharp
Name: 		monodevelop
Version: 	2.0
Release: 	1
License: 	GPL
Group: 		Development/Tools
URL: 		http://www.monodevelop.com/
Source0:        %{name}-%{version}.tar.bz2
Patch0:         monodevelop-1.9.1-use-mono-cecil.patch
Patch1:		monodevelop-1.9.2-removed-contrib.patch
Patch2:		monodevelop-192-nunit.patch
Patch3:		monodevelop-191-usemonocecil.patch
Patch4:		md-192-desktop.patch
Buildroot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  mono-core-devel >= 2.4 mono-addins-devel >= 0.4 gtk-sharp-devel
BuildRequires:  gnome-sharp-devel gnome-desktop-sharp-devel mono-nunit-devel
# for the NUnit add-in
BuildRequires:  mono-nunit22 xulrunner-devel-unstable
BuildRequires:  autoconf desktop-file-utils intltool monodoc-devel
BuildRequires:  automake libtool
# MonoDevelop is not xulrunner-ready yet
#Requires:       gecko-sharp2
Requires:	mono-addins >= 0.4
# Using system nunit, but dependency not automatically picked up by RPM
Requires:	mono(nunit.core) = 2.2.10.0
Requires:	mono(nunit.framework) = 2.2.10.0
Requires:       gnome-sharp gtk-sharp gnome-desktop-sharp
Requires:       subversion monodoc
Requires:       hicolor-icon-theme shared-mime-info

%description
This package provides MonoDevelop, a full-featured IDE for Mono with
syntax colouring, code completion, debugging, project management and
support for C sharp, Visual Basic.NET, Java, Boo, Nemerle and MSIL.


%package        devel
Summary:	Development files for monodevelop
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig
 
%description devel
Development files for %{name}.


%prep
%setup -q
%patch0 -p1 -b .use-mono-cecil
%patch1 -p1 -b .use-system-cecil
%patch2 -p1 -b .use-system-nunit
%patch3 -p1 -b .monocecil

sed -i -e 's!${exec_prefix}/lib!%{_libdir}!' configure
sed -i -e 's!$PREFIX/lib/!%{_libdir}/!' monodevelop.in
#autoreconf

# Here is where we replace the LONGCECILSTRING and LONGCECILMDBSTRING
# placeholders with the actual values for the Mono.Cecil and Mono.Cecil.Mdb
# ver__token

find . -name Makefile.in -or -name Makefile.am -or -name \*.pc.in \
       -or -name \*.in -or -name \*.xml \
       | while read f ;
         do
           sed -i -e 's!$(prefix)/lib/!%{_libdir}/!' "$f" 
           sed -i -e 's!@prefix@/lib/!%{_libdir}/!' "$f"
           sed -i -e 's!/usr/lib/!%{_libdir}/!' "$f"
           sed -i -e 's!${exec_prefix}/lib/!%{_libdir}/!' "$f" ;
         done

for i in \
    src/addins/MonoDevelop.GtkCore/Makefile.{am,in} \
    src/addins/MonoDevelop.GtkCore/Makefile.{am,in} \
    src/addins/MonoDevelop.GtkCore/libsteticui/Makefile.{am,in} \
    src/addins/MonoDevelop.DesignerSupport/Makefile.{am,in} \
    src/addins/MonoDevelop.AssemblyBrowser/Makefile.{am,in} \
    src/core/MonoDevelop.Projects/Makefile.{am,in} \
; do
  sed -i 's|LONGCECILSTRING|%{cecilver}__%{ceciltoken}|g' "$i"
done

for i in src/core/MonoDevelop.Projects/Makefile.{am,in};
do
  sed -i 's|LONGCECILMDBSTRING|%{cecilmdbver}__%{cecilmdbtoken}|g' "$i"
done

sed -i src/addins/NUnit/MonoDevelopNUnit.addin.xml -e 's|LIBDIR|%{_libdir}|'

autoreconf -f -i -s

%build
%configure --disable-update-mimedb \
           --disable-update-desktopdb

# Not parallel-buildable
#make %{?_smp_mflags}
make


%check
make check


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT \
     GACUTIL_FLAGS="/package monodevelop /root ${RPM_BUILD_ROOT}%{_libdir}"

desktop-file-install \
                     --dir $RPM_BUILD_ROOT%{_datadir}/applications \
                     --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applications/monodevelop.desktop

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database &> /dev/null || :

%postun
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database &> /dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/m*
%{_libdir}/monodevelop
%{_mandir}/man1/m*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/
%{_datadir}/mime/packages/monodevelop.xml

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/monodevelop*.pc

%changelog
* Sat Apr 04 2009 Christian Metzen <metzench@ccux-linux.de> 2.0-1
- Version update
* Sun Jul 27 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0-1
- version update
* Mon Dec 03 2007 Christian Metzen <metzench@ccux-linux.de> 0.17-2
- removed mime cache files from package
* Sun Dec 02 2007 Christian Metzen <metzench@ccux-linux.de> 0.17-1
- Initial release
